Subject: Re: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

From: Stephen Berman <[email-masked]>
Date: Sat, 09 Nov 2019 18:56:23 +0100

On Sat, 09 Nov 2019 11:20:12 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Stefan Monnier <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked]
>> Date: Fri, 08 Nov 2019 17:36:08 -0500
>>
>> > The patch below fixes Stefan's simplified test case, but the original
>> > problem is still unsolved: "C-x b ba TAB TAB" says "Sole completion".
>> >
>> > What did I miss?
>>
>> It still fails when you swap the two elements in the list :-(
>> I don't have time to dig into the code now, tho,
>
> What about the below?  It passes all the tests, and also fixes the
> original use case.

I confirm it makes completion with `C-x b' work the way I want when case
is ignored, so I am in favor of installing it.  Thanks.

Steve Berman